%global apiversion   0.2
%global spaversion   0.1
%global _hardened_build 1
%global systemd 1

Summary:  Media Sharing Server compat libraries
Name:     pipewire0.2
Version:  0.2.7
Release:  2%{?dist}
License:  LGPLv2+
URL:      https://pipewire.org/
Source0:	https://github.com/PipeWire/pipewire/archive/%{version}/pipewire-%{version}.tar.gz
Patch3000: 0001-build-and-link-a2dp-codecs.c-as-well.patch
Patch3001: 0001-bluez5-declare-factory-as-extern.patch

BuildRequires:  meson, gcc, pkgconfig
BuildRequires:  doxygen, xmltoman, graphviz
BuildRequires:  gstreamer1-devel, gstreamer1-plugins-base-devel, alsa-lib-devel, libv4l-devel
BuildRequires:  systemd-devel, dbus-devel
BuildRequires:  glib2-devel >= 2.32
BuildRequires:  sbc-devel

Requires(pre):  shadow-utils
Requires:       %{name}-libs = %{version}-%{release}
Requires:       systemd >= 184
Requires:       rtkit



%description
PipeWire is a multimedia server for Linux and other Unix like operating
systems.

%package libs
Summary:    Compatibility Libraries for PipeWire clients
License:    LGPLv2+
Recommends: %{name} = %{version}-%{release}
Provides:   pipewire-libs = %{version}
Conflicts:	pipewire-libs < %{version}

%description libs
This package contains the runtime libraries for any application that wishes
to interface with a PipeWire media server.

%package devel
Summary:    Compatibility Headers and libraries for PipeWire client development
License:    LGPLv2+
Requires:   %{name}-libs = %{version}-%{release}

%description devel
Headers and libraries for developing applications that can communicate with
a PipeWire media server.



%prep
%autosetup -p1 -T -b0 -n pipewire-%{version}



%build
%meson -Ddocs=false -Dman=false -Dgstreamer=disabled -Dsystemd=false
%meson_build



%install
%meson_install

rm -rf $RPM_BUILD_ROOT%{_bindir}/*
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/*



%check
%meson_test



%files libs
%license LICENSE GPL LGPL
%doc README
%{_libdir}/libpipewire-%{apiversion}.so.*
%{_libdir}/pipewire-%{apiversion}/
%{_libdir}/spa/

%files devel
%{_libdir}/libpipewire-%{apiversion}.so
%{_includedir}/pipewire/
%{_includedir}/spa/
%{_libdir}/pkgconfig/libpipewire-%{apiversion}.pc
%{_libdir}/pkgconfig/libspa-%{spaversion}.pc



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-2
- Rebuilt for loongarch release

* Fri Nov 17 2023 Zhao Zhen <jeremiazhao@tencent.com> - 0.2.7-1
- initial
